import * as graphics from "./graphics.mjs";
import { BOX_SIZE, get_tile } from "./world.mjs";
import { get_player_box } from "./player.mjs";
import { save_in_browser, load_from_browser } from "./save_load.mjs";



load_from_browser();

function render (timestamp) {
	graphics.clear();
	graphics.draw_world(get_player_box());
	graphics.render();

	requestAnimationFrame(render);
}

requestAnimationFrame(render);

function autosave () {
	save_in_browser();
}

const autosave_interval = setInterval(autosave, 3000);
